Bug 34860 - Web Inspector: Clicking on an error should take me to the error
Summary: Web Inspector: Clicking on an error should take me to the error
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Pavel Feldman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-11 14:31 PST by Oliver Hunt
Modified: 2010-03-04 10:48 PST (History)
7 users (show)

See Also:


Attachments
[PATCH] Proposed fix. (2.72 KB, patch)
2010-03-03 11:16 PST, Pavel Feldman
timothy: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Hunt 2010-02-11 14:31:51 PST
When i click on an error in the console the inspector switches to the resource view, and focuses the triggering resource.  This means in the general case i get taken to the header information for the resource and not the content.  It is the content that should be focused.
Comment 1 Pavel Feldman 2010-03-03 11:16:50 PST
Created attachment 49926 [details]
[PATCH] Proposed fix.
Comment 2 Pavel Feldman 2010-03-04 10:48:50 PST
Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	WebCore/ChangeLog
	M	WebCore/inspector/front-end/ResourceView.js
	M	WebCore/inspector/front-end/ResourcesPanel.js
Committed r55536